<?php
$dropDown = new Kupindo_Feed_Dropdown();
$product = new Kupindo_Feed_Products();
$product->load_attributes();

?>
<div class="wrap" id="Feed">
<h2><?php _e('Kupindo Product Feed', 'kupindo-feed'); ?></h2>
<table class="widefat fixed">
    <tbody>
    <tr>
        <td align="center"><b><a target="_blank"
                                 href="http://www.smdesign.rs/kupindo-integracija"><?php _e('Documents', 'kupindo-feed'); ?>
                    </a></b></td>
        <td align="center"><b><a style="color:#ee264a;" target="_blank"
                                 href="#">Online </a></b>
        </td>
        <td><?php _e('Contact', 'kupindo-feed'); ?> <b style="color:#2CC185;">podrska@smdesign.rs</b> <?php _e('for support.', 'kupindo-feed'); ?></td>
    </tr>
    </tbody>
</table>
<br/>

<form action="" name="feed" id="updatefeed"
      method="post">

<table class=" widefat fixed">
    <thead>
    <tr>
        <td colspan="2"><b><?php _e('Content Settings', 'kupindo-feed'); ?></b></td>
    </tr>
    </thead>
    <tbody>
    <tr>
        <td width="30%"><b><?php _e('Template', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
        <td>
            <select name="provider" id="provider" class="generalInput">
                <?php echo $dropDown->merchantsDropdown(esc_attr($feedRules['provider'])); ?>
            </select>
        </td>
    </tr>
    <tr>
        <td><b><?php _e('File Name', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
        <td><input name="filename"
                   value="<?php echo isset($feedRules['filename']) ? esc_attr($feedRules['filename']) : ''; ?>"
                   type="text"
                   class="generalInput"/></td>
    </tr>
    <tr>
        <td><b><?php _e('Feed Type', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
        <td>
            <select name="feedType" id="feedType" class="generalInput">
                <option <?php echo ($feedRules['feedType'] == "xml") ? 'selected="selected"' : ''; ?> value="xml">
                    XML
                </option>
                <option <?php echo ($feedRules['feedType'] == "csv") ? 'selected="selected"' : ''; ?> value="csv">
                    CSV
                </option>
                <option <?php echo ($feedRules['feedType'] == "txt") ? 'selected="selected"' : ''; ?> value="txt">
                    TXT
                </option>
            </select>
        </td>
    </tr>
   
    <tr class="itemWrapper" <?php echo ($feedRules['feedType'] != "xml") ? 'style="display: none;"' : ''; ?> >
        <td><b><?php _e('Items Wrapper', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
        <td><input name="itemsWrapper" type="text"
                   value="<?php echo ($feedRules['feedType'] == "xml") && isset($feedRules['itemsWrapper']) ? esc_attr($feedRules['itemsWrapper']) : 'products'; ?>"
                   class="generalInput" required="required"/>
        </td>
    </tr>
    <tr class="itemWrapper" <?php echo ($feedRules['feedType'] != "xml") ? 'style="display: none;"' : ''; ?>>
        <td><b><?php _e('Single Item Wrapper', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
        <td><input name="itemWrapper" type="text"
                   value="<?php echo ($feedRules['feedType'] == "xml") && isset($feedRules['itemWrapper']) ? esc_attr($feedRules['itemWrapper']) : 'product'; ?>"
                   class="generalInput" required="required"/>
        </td>
    </tr>
    <tr class="itemWrapper" >
        <td><b><?php _e('Extra Header', 'kupindo-feed'); ?> </b></td>
        <td>
            <textarea name="extraHeader" id="" style="width: 100%" placeholder="<?php _e('Insert Extra Header value. Press enter at the end of each line.', 'kupindo-feed') ?>"
                      rows="3"><?php echo isset($feedRules['extraHeader']) ? $feedRules['extraHeader'] : ''; ?></textarea>
        </td>
    </tr>
    <tr class="wf_csvtxt" <?php echo ($feedRules['feedType'] == "xml") ? 'style="display: none;"' : ''; ?>>
        <td><b><?php _e('Delimiter', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
        <td>
            <select name="delimiter" id="delimiter" class="generalInput">
                <option <?php echo isset($feedRules['delimiter']) && $feedRules['delimiter'] == "," ? 'selected="selected"' : ''; ?>
                    value=",">Comma
                </option>
                <option <?php echo isset($feedRules['delimiter']) && $feedRules['delimiter'] == "tab" ? 'selected="selected"' : ''; ?>
                    value="tab">Tab
                </option>
                <option <?php echo isset($feedRules['delimiter']) && $feedRules['delimiter'] == ":" ? 'selected="selected"' : ''; ?>
                    value=":">Colon
                </option>
                <option <?php echo isset($feedRules['delimiter']) && $feedRules['delimiter'] == " " ? 'selected="selected"' : ''; ?>
                    value=" ">Space
                </option>
                <option <?php echo isset($feedRules['delimiter']) && $feedRules['delimiter'] == "|" ? 'selected="selected"' : ''; ?>
                    value="|">Pipe
                </option>
                <option <?php echo isset($feedRules['delimiter']) && $feedRules['delimiter'] == ";" ? 'selected="selected"' : ''; ?>
                    value=";">Semi Colon
                </option>
            </select>
        </td>
    </tr>
    <tr class="wf_csvtxt" <?php echo ($feedRules['feedType'] == "xml") ? 'style="display: none;"' : ''; ?>>
        <td><b><?php _e('Enclosure', 'kupindo-feed'); ?> <span class="requiredIn">*</span></b></td>
        <td>
            <select name="enclosure" id="enclosure" class="generalInput">
                <option <?php echo isset($feedRules['enclosure']) && $feedRules['enclosure'] == " " ? 'selected="selected"' : ''; ?>
                    value=" ">None
                </option>
                <option <?php echo isset($feedRules['enclosure']) && $feedRules['enclosure'] == "double" ? 'selected="selected"' : ''; ?>
                    value='double'>"
                </option>
                <option <?php echo isset($feedRules['enclosure']) && $feedRules['enclosure'] == "single" ? 'selected="selected"' : ''; ?>
                    value="single">'
                </option>
            </select>
        </td>
    </tr>
    </tbody>
</table>
<br/>

<ul class="wf_tabs">
<li>
    <input type="radio" name="wf_tabs" id="tab1" checked/>
    <label class="wf-tab-name" for="tab1"><?php _e('Feed Config', 'kupindo-feed'); ?></label>

    <div id="wf-tab-content1" class="wf-tab-content">
        <table class="table tree widefat fixed sorted_table mtable" width="100%" id="table-1">
            <thead>
            <tr>
                <th></th>
                <th><?php echo ucfirst($provider); ?> <?php _e('Attributes', 'kupindo-feed'); ?></th>
                <th><?php _e('Prefix', 'kupindo-feed'); ?></th>
                <th><?php _e('Type', 'kupindo-feed'); ?></th>
                <th><?php _e('Value', 'kupindo-feed'); ?></th>
                <th><?php _e('Suffix', 'kupindo-feed'); ?></th>
                <th><?php _e('Output Type', 'kupindo-feed'); ?></th>
                <th><?php _e('Output Limit', 'kupindo-feed'); ?></th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            <?php
            if (count($feedRules['mattributes']) > 0) {
                $mAttributes = $feedRules['mattributes'];
                $wooAttributes = $feedRules['attributes'];
                $type = $feedRules['type'];
                $default = $feedRules['default'];
                $prefix = $feedRules['prefix'];
                $suffix = $feedRules['suffix'];
                $outputType = $feedRules['output_type'];
                $limit = $feedRules['limit'];
                $counter = 0;
                foreach ($mAttributes as $merchant => $mAttribute) {

                    ?>
                    <tr>
                        <td>
                            <i class="wf_sortedtable dashicons dashicons-menu"></i>
                        </td>
                        <td>
                            <input type="text" name="mattributes[]" value="<?php echo esc_attr($mAttribute); ?>"
                                   required
                                   class="wf_mattributes"/>
                        </td>
                        <td>
                            <input type="text" name="prefix[]" value="<?php echo esc_html($prefix[$merchant]); ?>"
                                   autocomplete="off"
                                   class="wf_ps"/>
                        </td>
                        <td>
                            <select name="type[]" id="" class="attr_type wfnoempty">
                                <option <?php echo ($type[$merchant] == "attribute") ? 'selected="selected"' : ''; ?>
                                    value="attribute"><?php _e('Attribute', 'kupindo-feed'); ?>
                                </option>
                                <option <?php echo ($type[$merchant] == "pattern") ? 'selected="selected"' : ''; ?>
                                    value="pattern"><?php _e('Pattern', 'kupindo-feed'); ?>
                                </option>
								<option <?php echo ($type[$merchant] == "mapped") ? 'selected="selected"' : ''; ?>
                                    value="mapped"><?php _e('Mapped', 'kupindo-feed'); ?>
                                </option>
                            </select>
                        </td>
                        <td>
                            <select <?php echo ($type[$merchant] == "attribute" || $type[$merchant] == "mapped") ? '' : 'style=" display: none;"'; ?>
                                name="attributes[]" id=""
                                class="wf_attr wf_attributes">
                                <?php echo $product->attributeDropdown(esc_attr($wooAttributes[$merchant])); ?>
                            </select>

                            <input <?php echo ($type[$merchant] == "pattern") ? '' : 'style=" display: none;"'; ?>
                                autocomplete="off"
                                class="wf_default wf_attributes" type="text" name="default[]"
                                value="<?php echo esc_attr($default[$merchant]); ?>"/>

                        </td>
                        <td>
                            <input type="text" name="suffix[]" value="<?php echo esc_html($suffix[$merchant]); ?>"
                                   autocomplete="off"
                                   class="wf_ps"/>
                        </td>

                        <td>
                            <select name="output_type[<?php echo $counter; ?>][]" id=""
                                    class="outputType wfnoempty" <?php echo (count($outputType[$counter]) > 1) ? 'multiple="multiple"' : ''; ?>>
                                <option <?php echo (in_array('1', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="1">Default
                                </option>
                                <option <?php echo (in_array('2', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="2">Strip Tags
                                </option>
                                <option <?php echo (in_array('3', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="3">UTF-8 Encode
                                </option>
                                <option <?php echo (in_array('4', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="4">htmlentities
                                </option>
                                <option <?php echo (in_array('5', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="5">Integer
                                </option>
                                <option <?php echo (in_array('6', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="6">Price
                                </option>
                                <option <?php echo (in_array('7', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="7">Remove Space
                                </option>
                                <option <?php echo (in_array('10', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="10">Remove ShortCodes
                                </option>
                                <option <?php echo (in_array('9', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="9">Remove Special Character
                                </option>
                                <option <?php echo (in_array('8', $outputType[$counter])) ? 'selected="selected"' : ''; ?>
                                    value="8">CDATA
                                </option>
                            </select>
                            <i class="dashicons dashicons-editor-expand expandType"></i>
                            <i style="display: none;"
                               class="dashicons dashicons-editor-contract contractType"></i>
                        </td>
                        <td>
                            <input type="text" name="limit[]" value="<?php echo esc_attr($limit[$merchant]); ?>"
                                   autocomplete="off"
                                   class="wf_ps"/>
                        </td>
                        <td>
                            <i class="delRow dashicons dashicons-trash"></i>
                        </td>
                    </tr>

                    <?php
                    $counter++;
                }
            }
            ?>

            </tbody>
            <tfoot>
            <tr>
                <td colspan="3">
                    <button type="button" class="button-small button-primary" id="wf_newRow">
                        <?php _e('Add New Row', 'kupindo-feed'); ?>
                    </button>
                </td>
                <td colspan="6">

                </td>
            </tr>
            </tfoot>
        </table>
        <table class=" widefat fixed">
            <tr>
                <td align="left" class="">
                    <div class="makeFeedResponse"></div>
                    <div class="makeFeedComplete"></div>
                </td>
                <td align="right">
                    <button name="<?php echo isset($_GET['action']) ? esc_attr($_GET['action']) : ''; ?>"
                            type="submit" id="submit"
                            class="wfbtn updatefeed">
                        <?php _e('Update and Generate Feed', 'kupindo-feed'); ?>
                    </button>
                </td>
            </tr>
        </table>
    </div>
</li>
<?php 
		$orderby = 'name';
		$order = 'asc';
		$hide_empty = false ;
		$cat_args = array(
			'orderby'    => $orderby,
			'order'      => $order,
			'hide_empty' => $hide_empty,
		);
		$product_categories = get_terms( 'product_cat', $cat_args );
	?>
	<li>
		<input type="radio" name="wf_tabs" id="tab2"/>
		<label class="wf-tab-name" for="tab2"><?php _e('Filter', 'kupindo-feed'); ?></label>
		<div id="wf-tab-content2" class="wf-tab-content">
			<table class="table widefat fixed mtable" width="100%">
				<tbody>
				<tr>
					<td><?php _e('Select category', 'kupindo-feed'); ?></td>
					<td>
						<?php if( !empty($product_categories) ){ ?>
							<select autocomplete="off" class="generalInput" name="productsCategory" id="productsCategory">
									<option value=""><?php _e('No category', 'kupindo-feed'); ?> (<?php print_r(wp_count_posts( 'product' )->publish) ?>)</option>
								<?php foreach ($product_categories as $key => $category) { ?>
									<option <?php if($feedRules['productsCategory'] == $category->slug): ?> selected="selected" <?php endif; ?> value="<?php echo $category->slug; ?>"><?php echo $category->name; ?> (<?php echo $category->count; ?>)</option>
								<?php } ?>	
							</select>
						<?php } ?>	
					</td>
				</tr>
				</tbody>
			</table>
			<table class="widefat fixed">
				<tr>
					<td align="left" class="">
						<div class="makeFeedResponse"></div>
						<div class="makeFeedComplete"></div>
					</td>
					<td align="right">
						<button name="<?php echo isset($_GET['action']) ? esc_attr($_GET['action']) : ''; ?>"
								type="submit" id="submit" class="wfbtn updatefeed">
							<?php _e('Update and Generate Feed', 'kupindo-feed'); ?>
						</button>
					</td>
				</tr>
			</table>
		</div>
	</li>
<li>
    <input type="radio" name="wf_tabs" id="tab3"/>
    <label class="wf-tab-name" for="tab3"><?php _e('FTP', 'kupindo-feed'); ?></label>

    <div id="wf-tab-content3" class="wf-tab-content">
        <table class="table widefat fixed mtable" width="100%">
            <tbody>
            <tr>
                <td><?php _e('Enabled', 'kupindo-feed'); ?></td>
                <td>
                    <select name="ftpenabled" id="">
                        <option <?php echo ($feedRules['ftpenabled'] == "0") ? 'selected="selected"' : ''; ?>
                            value="0"><?php _e('Disabled', 'kupindo-feed'); ?>
                        </option>
                        <option <?php echo ($feedRules['ftpenabled'] == "1") ? 'selected="selected"' : ''; ?>
                            value="1"><?php _e('Enabled', 'kupindo-feed'); ?>
                        </option>
                    </select>
                </td>
            </tr>

            <tr>
                <td><?php _e('Host Name', 'kupindo-feed'); ?></td>
                <td><input type="text" value="<?php echo esc_attr($feedRules['ftphost']); ?>" name="ftphost"
                           autocomplete="off"/></td>
            </tr>
            <tr>
                <td><?php _e('User Name', 'kupindo-feed'); ?></td>
                <td><input type="text" value="<?php echo esc_attr($feedRules['ftpuser']); ?>" name="ftpuser"
                           autocomplete="off"/></td>
            </tr>
            <tr>
                <td><?php _e('Password', 'kupindo-feed'); ?></td>
                <td><input type="password" value="<?php echo esc_attr($feedRules['ftppassword']); ?>"
                           name="ftppassword" autocomplete="off"/></td>
            </tr>
            <tr>
                <td><?php _e('Port', 'kupindo-feed'); ?></td>
                <td><input type="text" value="<?php echo  isset($feedRules['ftpport'])?esc_attr($feedRules['ftpport']):21; ?>"
                           name="ftpport" autocomplete="off"/></td>
            </tr>
            <tr>
                <td><?php _e('Path', 'kupindo-feed'); ?></td>
                <td><input type="text" value="<?php echo esc_attr($feedRules['ftppath']); ?>" name="ftppath"
                           autocomplete="off"/></td>
            </tr>

            </tbody>
        </table>
        <table class=" widefat fixed">
            <tr>
                <td align="left" class="">
                    <div class="makeFeedResponse"></div>
                    <div class="makeFeedComplete"></div>
                </td>
                <td align="right">
                    <button name="<?php echo isset($_GET['action']) ? esc_attr($_GET['action']) : ''; ?>"
                            type="submit" id="submit"
                            class="wfbtn updatefeed">
                        <?php _e('Update and Generate Feed', 'kupindo-feed'); ?>
                    </button>
                </td>
            </tr>
        </table>
    </div>
</li>

</ul>
</form>
</div>