<?php

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Kupindo_Feed
 * @subpackage Kupindo_Feed/includes
 * @author     Smdesign Studio <podrska@smdesign.rs>
 */
class Kupindo_Feed_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
        wp_clear_scheduled_hook('kupindo_feed_update');
	}

}
